Closed Bug 1350291 Opened 3 years ago Closed 3 years ago

Land NSPR 4.15 into FF 55

Categories

(Firefox Build System :: General, enhancement)

55 Branch
enhancement
Not set

Tracking

(firefox55 fixed)

RESOLVED FIXED
mozilla55
Tracking Status
firefox55 --- fixed

People

(Reporter: KaiE, Assigned: KaiE)

References

Details

Attachments

(1 file)

It's time to uplift the recent fixes to NSPR, which we currently intend to release as NSPR 4.15
leave-open until we land RTM
Keywords: leave-open
Pushed by kaie@kuix.de:
https://hg.mozilla.org/integration/mozilla-inbound/rev/ddc2134eb603
uplift NSPR_4_15_BETA, r=franziskus
Depends on: 1363329
Depends on: 1310197, 1358466
Franziskus, does this try build look sane?

Are we good to tag NSPR_4_15_BETA2 and uplift to m-i ?
Flags: needinfo?(franziskuskiefer)
(In reply to Kai Engert (:kaie:) from comment #5)
> Franziskus, does this try build look sane?

https://treeherder.mozilla.org/#/jobs?repo=try&revision=efdfda940f935a656cbb8a25c8f5b5ebb112b925
lgtm. Trees are currently closed because of some issues, which probably cause the two build failures as well.
Flags: needinfo?(franziskuskiefer)
Pushed by kaie@kuix.de:
https://hg.mozilla.org/integration/mozilla-inbound/rev/36496a0fbbab
uplift NSPR_4_15_BETA2, r=franziskus
Keywords: leave-open
Pushed by kaie@kuix.de:
https://hg.mozilla.org/integration/mozilla-inbound/rev/ebbe57e66745
landing final NSPR 4.15 RTM tag, no code change, just version number, r=me
https://hg.mozilla.org/mozilla-central/rev/ebbe57e66745
Status: NEW → RESOLVED
Closed: 3 years ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla55
Comment on attachment 8878467 [details] [diff] [review]
require-nspr-4.15-version.patch

obvious change, no code, build config
Attachment #8878467 - Flags: review+
Comment on attachment 8878467 [details] [diff] [review]
require-nspr-4.15-version.patch

Approval Request Comment
[Feature/Bug causing the regression]:
bug 1350291

[User impact if declined]:
Linux distributions not noticing the new NSPR requirement.

[Is this code covered by automated tests?]:
Non applicable, no code.

[Has the fix been verified in Nightly?]:
Non applicable, no code.

[Needs manual test from QE? If yes, steps to reproduce]: 
no

[List of other uplifts needed for the feature/fix]:
none

[Is the change risky?]:
no

[Why is the change risky/not risky?]:
Just enforcing the use of the newer NSPR version, which the branch already uses.

[String changes made/needed]:
none
Attachment #8878467 - Flags: approval-mozilla-beta?
Comment on attachment 8878467 [details] [diff] [review]
require-nspr-4.15-version.patch

bump required nspr version, beta55+

This should be in 55.0b3.  Thanks Kai.
Attachment #8878467 - Flags: approval-mozilla-beta? → approval-mozilla-beta+
Thanks for the approval Julien.

I've pushed with DONTBUILD, since there are no code changes.
Product: Core → Firefox Build System
You need to log in before you can comment on or make changes to this bug.